public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alessandro Barbieri" <lssndrbarbieri@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: sci-mathematics/clasp/
Date: Tue,  3 May 2022 20:21:37 +0000 (UTC)	[thread overview]
Message-ID: <1651609294.7b70282eeb3573f6956a26591110a987d46af88e.Alessandro-Barbieri@gentoo> (raw)

commit:     7b70282eeb3573f6956a26591110a987d46af88e
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue May  3 18:24:33 2022 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Tue May  3 20:21:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7b70282e

sci-mathematics/clasp: use system catch

Closes: https://bugs.gentoo.org/842327
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 sci-mathematics/clasp/clasp-3.3.7.ebuild | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/sci-mathematics/clasp/clasp-3.3.7.ebuild b/sci-mathematics/clasp/clasp-3.3.7.ebuild
index 7af818634..d4690201c 100644
--- a/sci-mathematics/clasp/clasp-3.3.7.ebuild
+++ b/sci-mathematics/clasp/clasp-3.3.7.ebuild
@@ -18,7 +18,10 @@ KEYWORDS="~amd64"
 IUSE="examples test +threads +tools"
 
 RDEPEND="sci-libs/libpotassco:="
-DEPEND="${RDEPEND}"
+DEPEND="
+	${RDEPEND}
+	test? ( dev-cpp/catch:0 )
+"
 
 RESTRICT="!test? ( test )"
 PATCHES=(
@@ -26,6 +29,11 @@ PATCHES=(
 	"${FILESDIR}/${P}-libclasp_app.patch"
 )
 
+src_prepare() {
+	rm tests/catch.hpp || die
+	cmake_src_prepare
+}
+
 src_configure() {
 	local mycmakeargs=(
 		-DCLASP_BUILD_APP=$(usex tools)


             reply	other threads:[~2022-05-03 20:21 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-03 20:21 Alessandro Barbieri [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-05-05 23:37 [gentoo-commits] repo/proj/guru:dev commit in: sci-mathematics/clasp/ Alessandro Barbieri
2022-05-25 20:21 Alessandro Barbieri

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1651609294.7b70282eeb3573f6956a26591110a987d46af88e.Alessandro-Barbieri@gentoo \
    --to=lssndrbarbieri@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox